SlowMultiReaderWrapper (Lucene 3.6.2 API)
Keywords: org.apache.lucene.index.SlowMultiReaderWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class SlowMultiReaderWrapper

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.index.MultiReader
              org.apache.lucene.index.SlowMultiReaderWrapper

All Implemented Interfaces:
  Closeable, Cloneable

    public class SlowMultiReaderWrapper

extends org.apache.lucene.index.MultiReader

Acts like Lucene 4.x's SlowMultiReaderWrapper for testing of top-level MultiTermEnum, MultiTermDocs, ...

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader
`org.apache.lucene.index.IndexReader.ReaderClosedListener`

Field Summary

Fields inherited from class org.apache.lucene.index.MultiReader
`starts, subReaders`

Fields inherited from class org.apache.lucene.index.IndexReader
`hasChanges`

Constructor Summary
`SlowMultiReaderWrapper(org.apache.lucene.index.IndexReader reader)`

Method Summary
`org.apache.lucene.index.FieldInfos` | `getFieldInfos()`
`org.apache.lucene.index.IndexReader[]` | `getSequentialSubReaders()`
`String` | `toString()`

Methods inherited from class org.apache.lucene.index.MultiReader
`clone, clone, docFreq, doClose, doCommit, document, doDelete, doOpenIfChanged, doOpenIfChanged, doSetNorm, doUndeleteAll, getTermFreqVector, getTermFreqVector, getTermFreqVector, getTermFreqVectors, getVersion, hasDeletions, hasNorms, isCurrent, isDeleted, isOptimized, maxDoc, norms, norms, numDocs, readerIndex, termDocs, termDocs, termPositions, terms, terms`

Methods inherited from class org.apache.lucene.index.IndexReader
`acquireWriteLock, addReaderClosedListener, close, commit, commit, decRef, deleteDocument, deleteDocuments, directory, document, doOpenIfChanged, doOpenIfChanged, ensureOpen, flush, flush, getCommitUserData, getCommitUserData, getCoreCacheKey, getCurrentVersion, getDeletesCacheKey, getIndexCommit, getRefCount, getTermInfosIndexDivisor, getUniqueTermCount, incRef, indexExists, lastModified, listCommits, numDeletedDocs, open, open, open, open, open, open, open, open, open, open, open, openIfChanged, openIfChanged, openIfChanged, openIfChanged, removeReaderClosedListener, reopen, reopen, reopen, reopen, setNorm, setNorm, termPositions, tryIncRef, undeleteAll`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlowMultiReaderWrapper

    public SlowMultiReaderWrapper(org.apache.lucene.index.IndexReader reader)

Method Detail

### getSequentialSubReaders

    public org.apache.lucene.index.IndexReader[] getSequentialSubReaders()

  Overrides:
    `getSequentialSubReaders` in class `org.apache.lucene.index.MultiReader`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.apache.lucene.index.IndexReader`

### getFieldInfos

    public org.apache.lucene.index.FieldInfos getFieldInfos()

  Overrides:
    `getFieldInfos` in class `org.apache.lucene.index.MultiReader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD